<template>
  <h1>Componente Checkbox</h1>

  <h1>Padrão</h1>
  <div class="row">
    <div class="col">
      <p class="label mb-0">Rótulo</p>
      <p class="text-down-01">Informações adicionais</p>
      <div class="mb-1">
        <br-checkbox id="Unchecked" label="Unchecked"></br-checkbox>
      </div>
      <div class="mb-1">
        <br-checkbox id="Checked" label="Checked" checked></br-checkbox>
      </div>
      <div class="mb-1">
        <br-checkbox id="valid" label="Valid" format="valid"></br-checkbox>
      </div>
      <div class="mb-1">
        <br-checkbox id="invalid" label="Invalid" format="invalid"></br-checkbox>
      </div>
      <div class="mb-1">
        <br-checkbox id="disabled" label="Disabled" disabled></br-checkbox>
      </div>
      <br-message feedback state="warning">Campo desabilitado.</br-message>
    </div>
  </div>

  <!-- FIXME: Checkbox grudados -->
  <h2>Horizontal</h2>
  <div class="row">
    <div class="col">
      <p class="label mb-0">Rótulo</p>
      <p class="text-down-01">Informações adicionais</p>
      <br-checkbox id="unchecked-inline" label="Unchecked" inline></br-checkbox>
      <br-checkbox id="checked-inline" label="Checked" checked inline></br-checkbox>
      <br-checkbox id="valid-inline" label="Valid" format="valid" inline></br-checkbox>
      <br-checkbox id="invalid-inline" label="Invalid" format="invalid" inline></br-checkbox>
      <br-checkbox id="disabled-inline" label="Disabled" disabled inline></br-checkbox>
    </div>
  </div>

  <!-- FIXME: Checkbox grudados -->
  <h2>Com Checkgroup</h2>
  <div class="row">
    <div class="col">
      <div class="mb-1">
        <br-checkbox label="Parent - Grupo 1" checkgroup-parent="grupo-1"></br-checkbox>
      </div>
      <div class="mb-1 ml-2">
        <br-checkbox label="Child - Grupo 1" checkgroup-child="grupo-1"></br-checkbox>
      </div>
      <div class="mb-1 ml-2">
        <br-checkbox label="Child - Grupo 1" checkgroup-child="grupo-1"></br-checkbox>
      </div>
      <div class="mb-1 ml-2">
        <br-checkbox
          label="Child - Grupo 1 / Parent - Grupo 2"
          checkgroup-child="grupo-1"
          checkgroup-parent="grupo-2"
        ></br-checkbox>
      </div>
      <div class="mb-1 ml-4">
        <br-checkbox label="Child - Grupo 2" checkgroup-child="grupo-2"></br-checkbox>
      </div>
      <div class="mb-1 ml-4">
        <br-checkbox label="Child - Grupo 2" checkgroup-child="grupo-2"></br-checkbox>
      </div>
      <div class="mb-1 ml-4">
        <br-checkbox label="Child - Grupo 2" checkgroup-child="grupo-2"></br-checkbox>
      </div>
    </div>
  </div>
</template>
